Update a specific heartbeat by id
curl --request PUT \
--url https://api.rootly.com/v1/heartbeats/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "heartbeats",
"attributes": {
"name": "<string>",
"description": "<string>",
"alert_summary": "<string>",
"alert_description": "<string>",
"alert_urgency_id": "<string>",
"interval": 123,
"interval_unit": "minutes",
"notification_target_id": "<string>",
"notification_target_type": "User",
"enabled": true
}
}
}
'{
"data": {
"id": "<string>",
"type": "heartbeats",
"attributes": {
"name": "<string>",
"alert_summary": "<string>",
"interval": 123,
"interval_unit": "minutes",
"notification_target_id": "<string>",
"notification_target_type": "User",
"enabled": true,
"status": "waiting",
"email_address": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"alert_description": "<string>",
"alert_urgency_id": "<string>",
"ping_url": "<string>",
"secret": "<string>",
"last_pinged_at": "<string>",
"expires_at": "<string>"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Resource UUID
Show child attributes
heartbeat updated
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/heartbeats/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "heartbeats",
"attributes": {
"name": "<string>",
"description": "<string>",
"alert_summary": "<string>",
"alert_description": "<string>",
"alert_urgency_id": "<string>",
"interval": 123,
"interval_unit": "minutes",
"notification_target_id": "<string>",
"notification_target_type": "User",
"enabled": true
}
}
}
'{
"data": {
"id": "<string>",
"type": "heartbeats",
"attributes": {
"name": "<string>",
"alert_summary": "<string>",
"interval": 123,
"interval_unit": "minutes",
"notification_target_id": "<string>",
"notification_target_type": "User",
"enabled": true,
"status": "waiting",
"email_address": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"alert_description": "<string>",
"alert_urgency_id": "<string>",
"ping_url": "<string>",
"secret": "<string>",
"last_pinged_at": "<string>",
"expires_at": "<string>"
}
}
}